<xmluiml xmlns="http://www.series60.com/xml/xmluiml/1">
	<!--Global key event declarations-->
	<actions id="globact">
		<action id="KeyDel">
			<trigger id="kd_trig" name="keyevent">
				<property id="kd_scanc" name="scancode" value="1"/>
				<property id="kd_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="kd_evt" name="AS_delete_current_item"/>
		</action>
		<action id="Key0">
			<trigger id="k0_trig" name="keyevent">
				<property id="k0_scanc" name="scancode" value="48"/>
				<property id="k0_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k0_evt" name="AS_activate_index_10" class="Numpad"/>
		</action>
		<action id="Key1">
			<trigger id="k1_trig" name="keyevent">
				<property id="k1_scanc" name="scancode" value="49"/>
				<property id="k1_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k1_evt" name="AS_activate_index_0" class="Numpad"/>
		</action>
		<action id="Key2">
			<trigger id="k2_trig" name="keyevent">
				<property id="k2_scanc" name="scancode" value="50"/>
				<property id="k2_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k2_evt" name="AS_activate_index_1" class="Numpad"/>
		</action>
		<action id="Key3">
			<trigger id="k3_trig" name="keyevent">
				<property id="k3_scanc" name="scancode" value="51"/>
				<property id="k3_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k3_evt" name="AS_activate_index_2" class="Numpad"/>
		</action>
		<action id="Key4">
			<trigger id="k4_trig" name="keyevent">
				<property id="k4_scanc" name="scancode" value="52"/>
				<property id="k4_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k4_evt" name="AS_activate_index_3" class="Numpad"/>
		</action>
		<action id="Key5">
			<trigger id="k5_trig" name="keyevent">
				<property id="k5_scanc" name="scancode" value="53"/>
				<property id="k5_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k5_evt" name="AS_activate_index_4" class="Numpad"/>
		</action>
		<action id="Key6">
			<trigger id="k6_trig" name="keyevent">
				<property id="k6_scanc" name="scancode" value="54"/>
				<property id="k6_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k6_evt" name="AS_activate_index_5" class="Numpad"/>
		</action>
		<action id="Key7">
			<trigger id="k7_trig" name="keyevent">
				<property id="k7_scanc" name="scancode" value="55"/>
				<property id="k7_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k7_evt" name="AS_activate_index_6" class="Numpad"/>
		</action>
		<action id="Key8">
			<trigger id="k8_trig" name="keyevent">
				<property id="k8_scanc" name="scancode" value="56"/>
				<property id="k8_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k8_evt" name="AS_activate_index_7" class="Numpad"/>
		</action>
		<action id="Key9">
			<trigger id="k9_trig" name="keyevent">
				<property id="k9_scanc" name="scancode" value="57"/>
				<property id="k9_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="k9_evt" name="AS_activate_index_8" class="Numpad"/>
		</action>
		<action id="KeyAsterisk">
			<trigger id="ka_trig" name="keyevent">
				<property id="ka_scanc" name="scancode" value="133"/>
				<property id="ka_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="ka_evt" name="AS_activate_index_9" class="Numpad"/>
		</action>
		<action id="KeyHash">
			<trigger id="kh_trig" name="keyevent">
				<property id="kh_scanc" name="scancode" value="127"/>
				<property id="kh_etype" name="eventtype" value="3"/>
			</trigger>
			<event id="kh_evt" name="AS_activate_index_11" class="Numpad"/>
		</action>
		<action id="KeyEnd">
			<trigger name="keyevent">
				<property name="scancode" value="160"/>
				<property name="eventtype" value="3"/>
			</trigger>
			<event name="AS_KeyEnd" class="Numpad"/>
		</action>
	</actions>
	<!-- End of key codes -->
	<!--Global menubar declaration-->
	<menubar id="AS_MENUBAR">
		<menu id="AS_MNU_options" label="Options">
			<actions id="a_menu_init">
				<action id="Menu_Init">
					<trigger id="Menu_Trigger_Init" name="activate"/>
					<event id="Menu_Event_Init" name="AS_menu_init"/>
				</action>
			</actions>
			<menuitem id="AS_MNU_open" label="Open" class="AS_MENUITEM">
				<actions id="a_menu_open">
					<action id="Menu_Open">
						<trigger id="Menu_Trigger_Open" name="activate"/>
						<event id="Menu_Event_Open" name="AS_open_current_item"/>
					</action>
				</actions>
			</menuitem>
			<menu id="AS_MNU_3D_Control" label="Animated icons" class="AS_MENUITEM">
				<menuitem id="AS_MNU_3D_ON" label="On" class="AS_MENUITEM">
					<actions id="a_menu_3D_ON">
						<action id="Menu_3D_ON">
							<trigger id="Menu_Trigger_3D_ON" name="activate"/>
							<event id="Menu_Event_3D_ON" name="AS_activate_3d"/>
						</action>
					</actions>
				</menuitem>
				<menuitem id="AS_MNU_3D_OFF" label="Off" class="AS_MENUITEM">
					<actions id="a_menu_3D_OFF">
						<action id="Menu_3D_OFF">
							<trigger id="Menu_Trigger_3D_OFF" name="activate"/>
							<event id="Menu_Event_3D_OFF" name="AS_deactivate_3d"/>
						</action>
					</actions>
				</menuitem>
			</menu>
			<menuitem id="AS_MNU_EXT_switchtheme" label="Change theme" class="AS_MENUITEM">
				<actions id="a_menu_switchtheme">
					<action id="Menu_switchtheme">
						<trigger id="Menu_Trigger_SwitchTheme" name="activate"/>
						<event id="Menu_Event_SwitchTheme" name="AS_MNU_EXT_switchtheme"/>
					</action>
				</actions>
			</menuitem>
			<menuitem id="AS_MNU_delete" label="Delete folder" class="AS_MENUITEM">
				<actions id="a_menu_delete">
					<action id="Menu_Delete">
						<trigger id="Menu_Trigger_Delete" name="activate"/>
						<event id="Menu_Event_Delete" name="AS_delete_current_item"/>
					</action>
				</actions>
			</menuitem>
			<menuitem id="AS_MNU_uninstall" label="Uninstall" class="AS_MENUITEM">
				<actions id="a_menu_uninstall">
					<action id="Menu_Uninstall">
						<trigger id="Menu_Trigger_Uninstall" name="activate"/>
						<event id="Menu_Event_Uninstall" name="AS_uninstall_current_item"/>
					</action>
				</actions>
			</menuitem>
			<menuitem id="AS_MNU_move" label="Move" class="AS_MENUITEM">
				<actions id="a_menu_move">
					<action id="Menu_Move">
						<trigger id="Menu_Trigger_Move" name="activate"/>
						<event id="Menu_Event_Move" name="AS_move_current_item"/>
					</action>
				</actions>
			</menuitem>
			<menuitem id="AS_MNU_movetofolder" label="Move to folder" class="AS_MENUITEM">
				<actions id="a_menu_movetofolder">
					<action id="Menu_MoveToFolder">
						<trigger id="Menu_Trigger_MoveToFolder" name="activate"/>
						<event id="Menu_Event_MoveToFolder" name="AS_move_current_item_to_folder"/>
					</action>
				</actions>
			</menuitem>
			<menuitem id="AS_MNU_newfolder" label="New folder" class="AS_MENUITEM">
				<actions id="a_menu_newfolder">
					<action id="Menu_NewFolder">
						<trigger id="Menu_Trigger_NewFolder" name="activate"/>
						<event id="Menu_Event_NewFolder" name="AS_create_new_folder"/>
					</action>
				</actions>
			</menuitem>
			<menuitem id="AS_MNU_rename" label="Rename" class="AS_MENUITEM">
				<actions id="a_menu_rename">
					<action id="Menu_Rename">
						<trigger id="Menu_Trigger_Rename" name="activate"/>
						<event id="Menu_Event_Rename" name="AS_rename_current_item"/>
					</action>
				</actions>
			</menuitem>
			<menuitem id="AS_MNU_EXT_download_apps" label="Download Applications" class="AS_MENUITEM">
				<actions id="a_menu_downloadapps">
					<action id="Menu_DownloadApps">
						<trigger id="Menu_Trigger_DownloadApps" name="activate"/>
						<event id="Menu_Event_DownloadApps" name="AS_MNU_EXT_download_apps"/>
					</action>
				</actions>
			</menuitem>
			<menu id="AS_MNU_memdetails" label="Memory details">
				<actions id="a_menu_memdetails">
					<action id="Menu_MemDetails">
						<trigger id="Menu_Trigger_MemDetails" name="activate"/>
						<event id="Menu_Event_MemDetails" name="AS_menu_init"/>
					</action>
				</actions>
				<menuitem id="AS_MNU_phone_memory" label="Phone memory" class="AS_MENUITEM">
					<actions id="a_menu_phonemem">
						<action id="Menu_PhoneMemory">
							<trigger id="Menu_Trigger_PhoneMemory" name="activate"/>
							<event id="Menu_Event_PhoneMemory" name="AS_view_mem_phone"/>
						</action>
					</actions>
				</menuitem>
				<menuitem id="AS_MNU_memory_card" label="Memory card" class="AS_MENUITEM">
					<actions id="a_menu_memcard">
						<action id="Menu_MemoryCard">
							<trigger id="Menu_Trigger_MemoryCard" name="activate"/>
							<event id="Menu_Event_MemoryCard" name="AS_view_mem_MMC"/>
						</action>
					</actions>
				</menuitem>
			</menu>
			<menuitem id="AS_MNU_help" label="Help" class="AS_MENUITEM">
				<actions id="a_menu_help">
					<action id="Menu_Help">
						<trigger id="Menu_Trigger_Help" name="activate"/>
						<event id="Menu_Event_Help" name="AS_open_help"/>
					</action>
				</actions>
			</menuitem>
			<menuitem id="AS_MNU_exit_close" label="Exit" class="AS_MENUITEM">
				<actions id="a_menu_exit_close">
					<action id="Menu_ExitClose">
						<trigger id="Menu_Trigger_ExitClose" name="activate"/>
						<event id="Menu_Event_ExitClose" name="AS_exit_close"/>
					</action>
				</actions>
			</menuitem>
		</menu>
		<menuitem id="AS_MNU_exit" label="Exit">
			<actions id="a_menu_exit">
				<action id="Menu_Exit">
					<trigger id="Menu_Trigger_Exit" name="activate"/>
					<event id="Menu_Event_Exit" name="AS_exit"/>
				</action>
			</actions>
		</menuitem>
	</menubar>
	<!-- Main views -->
	<views>
		<view id="AS_VIEW_0" initial="true">
			<trackster id="AS_CONTAINER_0" type="selection" selectiontype="single" focusable="true" class="AS_CONTAINER">
				<actions>
					<action>
						<trigger name="activate"/>
						<event name="AS_open_current_item"/>
					</action>
					<!-- Keyevents -->
					<action ref="KeyDel"/>
					<action ref="Key0"/>
					<action ref="Key1"/>
					<action ref="Key2"/>
					<action ref="Key3"/>
					<action ref="Key4"/>
					<action ref="Key5"/>
					<action ref="Key6"/>
					<action ref="Key7"/>
					<action ref="Key8"/>
					<action ref="Key9"/>
					<action ref="KeyHash"/>
					<action ref="KeyAsterisk"/>
					<!-- End Keyevents -->
				</actions>
				<trackstertemplate id="GridTemplate">
					<image id="menuimage0_0"/>
					<image id="menuimage1_0"/>
					<image id="menuimage2_0"/>
					<image id="menuimage3_0"/>
					<text id="menugridtext0_0"/> 
				</trackstertemplate>
				<trackstercurve id="TracksterCurve">
					<keypoint id="curvepoint0_0"/>
					<keypoint id="curvepoint1_0"/>
					<keypoint id="curvepoint2_0"/>
					<keypoint id="curvepoint3_0"/>
					<keypoint id="curvepoint4_0"/>
					<keypoint id="curvepoint5_0"/>
					<keypoint id="curvepoint6_0"/>
				</trackstercurve>
				<tracksterzoom id="TracksterZoom">
					<keypoint id="zoompoint0_0"/>
					<keypoint id="zoompoint1_0"/>
					<keypoint id="zoompoint2_0"/>
					<keypoint id="zoompoint3_0"/>
					<keypoint id="zoompoint4_0"/>
					<keypoint id="zoompoint5_0"/>
					<keypoint id="zoompoint6_0"/>
				</tracksterzoom>
			</trackster>

			<!--<text id="AppText"/>-->
			<!-- MenuBar -->
			<menubar ref="AS_MENUBAR"/>
		</view>		
	</views>
</xmluiml>
